package com.ruoyi.system.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class AlarmStatusListDto {

    private static final long serialVersionUID = 1L;

    /** 姓名 */
    private String name;

    /** ID */
    private String device_id_code;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createtime;

    /** 类型 */
    private Integer alarm_type;

    /** 类型 */
    private String alarm_msg;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDevice_id_code() {
        return device_id_code;
    }

    public void setDevice_id_code(String device_id_code) {
        this.device_id_code = device_id_code;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Integer getAlarm_type() {
        return alarm_type;
    }

    public void setAlarm_type(Integer alarm_type) {
        this.alarm_type = alarm_type;
    }

    public String getAlarm_msg() {
        return alarm_msg;
    }

    public void setAlarm_msg(String alarm_msg) {
        this.alarm_msg = alarm_msg;
    }
}
